Subject: Re: <draft-ietf-disman-remops-mib-06.txt>

From: Alan Luchuk <[email-masked]>
Date: Tue, 17 Aug 1999 10:07:18 -0400 (EDT)

>> >What was it about the DESCRIPTION text that led to the conclusion that
>> >the user interface would use hex notation for ipv4 or ipv6 addresses?
>> >Why wouldn't that same logic lead one to believe that DNS names would
>> >be entered in hex?  :-)
>> 
>> The description clause describes, if not specifies, the number of
>> octets for each of the address types.  Specifically, for the IPv4
>> address type, the description says the length of HostAddress octet
>> string is 4 octets.  
>> 
>> The only way I can think of to encode an IPv4 address in a 4-octet 
>> octet string is to use the hex form.  Even the shortest human-friendly 
>> textual representation of a dotted-decimal IPv4 address is 7 octets 
>> (e.g.,  0.0.0.0), and the longest is 15 octets (255.255.255.255).
>> So the only way I can see to encode the IPv4 addresses in a 4-octet
>> string is to convert each integer (0-255) to it's corresponding hex 
>> value and stuff each integer into a single octet of the 4-octet 
>> string.
>> 
>> Please educate me:  what have I overlooked?
>...
>
>How something is encoded on the wire has little to do with its appearance
>at the user interface.

That's true, assuming you use a _special purpose_ management-side
configuration tool for the REMOPS agent.  I think the HostAddress
syntax does not contain the necessary information to let ad-hoc
(as needed) management side query/config tools do the translation.

For example, suppose a network operator wants to set this MIB object
using vanilla HP/OV (no special add-ons for configuring REMOPS).
What's the network operator going to have to type to set a HostAddress
value?  I believe that vanilla HP/OV will expect the operator to enter 
an octet string.  If the agent requires the IPv4 HostAddress object
be 4 octets long, the network operator must manually do the conversion 
between the human-friendly dotted-decimal IPv4 address and the 
corresponding 4 octet string the agent requires.

I _suspect_ that in real-world network-management centers, alot of
network management is done with ad-hoc query tools, not _just_
specialized MIB configuration tools.  Because of this, I support
designing human-friendly MIBs and letting agents do work that is 
much harder for people to do.

I'm not positioned on what the HostAddress syntax should be, 
I'm just wondering if the user-unfriendly IP address format 
was intentional.

If this is unclear, lets just drop the issue.  I didn't intend to
waste this much WG people time and network bandwidth on this.

Regards,
--Alan
 
 -----------------------------------------------------------------------------
 Alan Luchuk       SNMP Research, Inc.                 Voice:  +1 423 573 1434
 Software Engineer 3001 Kimberlin Heights Road         FAX:    +1 423 573 9197
 [email-masked]   Knoxville, TN  37920-9716  U.S.A.   http://www.int.snmp.com/
 -----------------------------------------------------------------------------